ALAS-2017-891


Amazon Linux AMI Security Advisory: ALAS-2017-891
Advisory Release Date: 2017-09-14 22:19 Pacific
Severity: Medium
References: CVE-2017-11403 

Issue Overview:

The ReadMNGImage function in coders/png.c in GraphicsMagick 1.3.26 has an out-of-order CloseBlob call, resulting in a use-after-free via a crafted file. (CVE-2017-1000061 )


Affected Packages:

GraphicsMagick


Issue Correction:
Run yum update GraphicsMagick to update your system.

New Packages:
i686:
    GraphicsMagick-c++-devel-1.3.26-3.11.amzn1.i686
    GraphicsMagick-devel-1.3.26-3.11.amzn1.i686
    GraphicsMagick-perl-1.3.26-3.11.amzn1.i686
    GraphicsMagick-1.3.26-3.11.amzn1.i686
    GraphicsMagick-c++-1.3.26-3.11.amzn1.i686
    GraphicsMagick-debuginfo-1.3.26-3.11.amzn1.i686

noarch:
    GraphicsMagick-doc-1.3.26-3.11.amzn1.noarch

src:
    GraphicsMagick-1.3.26-3.11.amzn1.src

x86_64:
    GraphicsMagick-c++-1.3.26-3.11.amzn1.x86_64
    GraphicsMagick-devel-1.3.26-3.11.amzn1.x86_64
    GraphicsMagick-debuginfo-1.3.26-3.11.amzn1.x86_64
    GraphicsMagick-perl-1.3.26-3.11.amzn1.x86_64
    GraphicsMagick-c++-devel-1.3.26-3.11.amzn1.x86_64
    GraphicsMagick-1.3.26-3.11.amzn1.x86_64